#include <bits/stdc++.h>

using namespace std;

int main(){
	int  n, m;
	cin >> n >> m;
	int a[m + 1];
	map<int,int> cnt;
	for(int i = 1; i <= m; i ++){
		cin >> a[i];
		cnt[a[i]] ++;
	}
	vector<int> ans;
	for(auto i : cnt){
		if(i.second >= n) ans.push_back(i.first);
	}
	cout << ans.size() << "\n";
	for(int i = 0; i < ans.size(); i ++){
		cout << ans[i] << " ";
	}
	
}
